<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Dashboard</title>
  </head>
  <body>
    <main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
      <div class="row">
        <div class="col-md-12">
          <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
            <span th:text="${#authentication.principal.fullName}"></span>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-8">
          <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
            <i
              class="fa-solid fa-dashboard fa-1x shadow-sm me-2"
              style="color: #6f42c1"
            ></i>
            <b>Dashboard</b>
            <br />
            <span
              >Selamat datang di aplikasi tazkia
              <font color="blue">e-budget</font>. Aplikasi yang membantu
              menjalankan aktifitas keuangan
              <font color="red">Tazkia University</font>, Semoga anda
              dapat terbantu.
            </span>
          </div>
        </div>
        <div class="col-md-4">
          <div
            class="shadow-sm p-3 mb-3 bg-warning bg-opacity-10 border small rounded"
            th:if="${periodeAnggaranBerjalan != null}"
          >
            <i
              class="fa-regular fa-calendar fa-1x shadow-sm me-2"
              style="color: rgb(88, 95, 107)"
            ></i
            ><span
              th:text="${periodeAnggaranBerjalan.getNamaPeriodeAnggaran()}"
            ></span>
            <br />
            <i
              class="fa-solid fa-hourglass-start fa-1x shadow-sm me-2"
              style="color: #557ec7"
            ></i
            ><b>Start : </b
            ><span
              th:text="${#temporals.format(periodeAnggaranBerjalan.getTanggalMulaiAnggaran(),'dd-MMMM-yyyy')}"
            ></span>
            <br />
            <i
              class="fa-solid fa-hourglass-end fa-1x shadow-sm me-2"
              style="color: #ce9c5f"
            ></i
            ><b>End : </b
            ><span
              th:text="${#temporals.format(periodeAnggaranBerjalan.getTanggalSelesaiAnggaran(),'dd-MMMM-yyyy')}"
            ></span>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div
            th:if="${periodeAnggaranAktif != null}"
            class="alert alert-warning"
            role="alert"
          >
            <p
              th:if="${periodeAnggaranAktif != null}"
              th:text="${'Saat ini sedang dibuka setting anggaran untuk '+ periodeAnggaranAktif.getNamaPeriodeAnggaran()+'. Isi atau revisi anggaran pada departemen anda melalui menu setting - budget atau klik link di bawah ini.'}"
            ></p>
            <a class="link-primary" th:href="@{/setting/anggaran}"
              >Klik disini untuk masuk ke manu anggaran</a
            >
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="row">
            <div class="col-md-6">
              <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
                <i
                  class="fa-solid fa-bank fa-1x shadow-sm me-2"
                  style="color: rgba(191, 243, 139, 0.64)"
                ></i>
                <span>Total Budget</span>
                <br />
                <div class="row">
                  <div class="col" align="right">
                    <b
                      style="color: rgba(78, 138, 18, 0.64)"
                      class="pull-right"
                      th:text="${'Rp. ' + #numbers.formatDecimal(totalAnggaranPeriode, 0, 'POINT', 0, 'COMMA')}"
                    ></b>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
                <i
                  class="fa-solid fa-calculator fa-1x shadow-sm me-2"
                  style="color: rgb(85, 126, 199)"
                ></i>
                <span>Estimate Revenue</span>
                <br />
                <div class="row">
                  <div class="col" align="right">
                    <b
                      style="color: rgb(85, 126, 199)"
                      class="pull-right"
                      th:text="${'Rp. ' + #numbers.formatDecimal(totalPenerimaanPeriode, 0, 'POINT', 0, 'COMMA')}"
                    ></b>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
                <i
                  class="fa-solid fa-bell fa-1x shadow-sm me-2"
                  style="color: rgb(206, 156, 95)"
                ></i>
                <span>Total Request</span>
                <br />
                <div class="row">
                  <div class="col" align="right">
                    <b
                      style="color: rgb(206, 156, 95)"
                      class="pull-right"
                      th:text="${'Rp. ' + #numbers.formatDecimal(totalPengajuanDana, 0, 'POINT', 0, 'COMMA')}"
                    ></b>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
                <i
                  class="fa-solid fa-balance-scale fa-1x shadow-sm me-2"
                  style="color: rgb(124, 8, 12)"
                ></i>
                <span>Budget Balance</span>
                <br />
                <div class="row">
                  <div class="col" align="right">
                    <b
                      style="color: rgb(124, 8, 12)"
                      class="pull-right"
                      th:text="${'Rp. ' + #numbers.formatDecimal(totalBalance, 0, 'POINT', 0, 'COMMA')}"
                    ></b>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <p>
                <span
                  class="text-danger small"
                  th:text="${'Data diatas adalah data kalkulasi pada tanggal '+ #temporals.format(tanggalUpdate.plusHours(7),'dd-MMM-yyyy hh:mm a')}"
                ></span>
              </p>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="shadow-sm p-3 mb-3 bg-body border rounded">
            <canvas id="chart"></canvas>
          </div>
        </div>
      </div>
    </main>
    <section layout:fragment="footer">
      <script>
        $(function () {
          var ctx = document.getElementById("chart").getContext("2d");
          var json_url = "/api/pengajuandana/setahun";
          var myChart = new Chart(ctx, {
            type: "line",
            data: {
              labels: [],
              datasets: [
                {
                  label: "Request fund",
                  backgroundColor: "rgba(161, 198, 247, 1)",
                  borderColor: "rgb(47, 128, 237)",
                  data: [],
                },
              ],
            },
            options: {
              scales: {
                yAxes: [
                  {
                    ticks: {
                      beginAtZero: true,
                    },
                  },
                ],
              },
            },
          });

          ajax_chart(myChart, json_url);

          // function to update our chart

          function ajax_chart(chart, url, data) {
            var data = data || {};

            $.getJSON(url, data).done(function (response) {
              chart.data.labels = response.daftarBulan;
              chart.data.datasets[0].data = response.daftarTotal; // or you can iterate for multiple datasets
              chart.update(); // finally update our chart
            });
          }
        });
      </script>
    </section>
  </body>
</html>
